Bug 45393 - [sw] printing a Writer/Web document changes layout to "Print layout"
Summary: [sw] printing a Writer/Web document changes layout to "Print layout"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 62514 (view as bug list)
Depends on:
Blocks: Writer-Web-Layout
  Show dependency treegraph
 
Reported: 2012-01-30 04:39 UTC by Michael Stahl (CIB)
Modified: 2019-11-07 03:33 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2012-01-30 04:39:25 UTC
while investigating bug 37024, noticed the following:

1. create new Writer/Web document (File->New->HTML document)
2. File->Print
3. notice how the document is now paginated: the view setting
   changed to "Print layout"!

this is apparently broken since OOo 3.3,
so i'd like to blame the printerpullpages stuff.
Comment 1 Caolán McNamara 2012-05-06 13:01:09 UTC
caolanm->mstahl: didn't you find that this bug was one of mine in some temp view for printing or some such and is now fixed ?
Comment 2 Michael Stahl (CIB) 2012-05-07 01:41:03 UTC
@caolanm:
no, still happens on master;
i noticed that while fixing the regression you introduced,
but this was already broken before.
Comment 3 Lionel Elie Mamane 2013-03-21 14:31:31 UTC
*** Bug 62514 has been marked as a duplicate of this bug. ***
Comment 4 Lionel Elie Mamane 2013-03-21 14:33:38 UTC
Happens for *any* document (in web view), not only HTML documents.

While this can be considered a minor inconvenience for a plain Writer document, it is more annoying when the document is Base Form (see bug 61297).
Comment 5 Björn Michaelsen 2014-10-10 23:54:19 UTC
update version as per Description
Comment 6 Matthew Francis 2014-12-30 03:15:48 UTC
A bug can't simultaneously be (our) regression and "Inherited From OOo", so removing Keywords:regression
Comment 7 QA Administrators 2016-01-17 20:01:59 UTC Comment hidden (obsolete)
Comment 8 Michael Stahl (CIB) 2016-01-18 14:01:37 UTC
bug still happens on current master
Comment 9 QA Administrators 2017-03-06 13:47:28 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2017-07-13 12:22:38 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 11 QA Administrators 2018-07-14 02:45:34 UTC Comment hidden (obsolete)
Comment 12 Michael Stahl (CIB) 2018-07-23 13:07:31 UTC
still happens on today's master
Comment 13 QA Administrators 2019-11-07 03:33:32 UTC
Dear Michael Stahl (CIB),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug